Namespaces
PAG1TextStorageElement.cpp File Reference
`#include "PAG1TextStorageElement.h"`
`#include <cassert>`
`#include <string>`
`#include <boost/optional.hpp>`
`#include <librevenge/librevenge.h>`
`#include "IWORKGroupElement.h"`
`#include "IWORKLayoutElement.h"`
`#include "IWORKLinkElement.h"`
`#include "IWORKMediaElement.h"`
`#include "IWORKPElement.h"`
`#include "IWORKPositionElement.h"`
`#include "IWORKRefContext.h"`
`#include "IWORKSizeElement.h"`
`#include "IWORKShapeContext.h"`
`#include "IWORKSpanElement.h"`
`#include "IWORKTabularInfoElement.h"`
`#include "IWORKText.h"`
`#include "IWORKTextBodyElement.h"`
`#include "IWORKToken.h"`
`#include "PAG1AnnotationElement.h"`
`#include "PAG1Dictionary.h"`
`#include "PAG1FootnotesElement.h"`
`#include "PAG1ParserState.h"`
`#include "PAGCollector.h"`
`#include "libetonyek_xml.h"`

## Namespaces
| libetonyek

## Variable Documentation

## ◆ m_block

bool m_block
| private

## ◆ m_containerFrame

ContainerFrame m_containerFrame
| private

## ◆ m_footnoteHelper

FootnoteHelper m_footnoteHelper
| private

## ◆ m_h

optional<double> m_h

## ◆ m_kind

boost::optional<std::string> m_kind
| private

## ◆ m_known

bool m_known
| private

## ◆ m_opened

bool m_opened
| private

## ◆ m_originalSize

optional<IWORKSize> m_originalSize
| private

## ◆ m_position

optional<IWORKPosition> m_position
| private

## ◆ m_ref

boost::optional<ID_t> m_ref
| private

## ◆ m_savedText

std::shared_ptr<IWORKText> m_savedText
| private

## ◆ m_state

PAG1ParserState& m_state
| private

## ◆ m_style

optional<string> m_style
| private

## ◆ m_w

optional<double> m_w

## ◆ m_x

optional<double> m_x

## ◆ m_y

optional<double> m_y